# /authenticate\_face

#### Endpoint

```http
https://be.progeny.tech/api/v3/services/authenticate_face/
```

#### Purpose

Allows you to connect to the Liveness and Face Compare services, using the providers configured in the **Progeny Console**, to authenticate an image of a person's face against the UUID of an already registered image in our database, performing both a liveness and likeness check. &#x20;

Connecting to both services means we can determine whether the image is of a live human being and additionally that the image represents a likeness of the person already registered.

{% hint style="info" %}
Please refer to the section on [images](/our-api/overview.md#a-quick-word-about-images) for guidance before posting.  For the best results, we recommend a maximum height of 1080px.
{% endhint %}

#### Sample request and response

## Get a task Id

<mark style="color:green;">`POST`</mark> `https://be.progeny.tech/api/v3/services/authenticate_face/`

#### Request Body

| Name                                    | Type   | Description                                                                                                                                                 |
| --------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| image<mark style="color:red;">\*</mark> | String | The file path to an image of the user's face in PNG, JPEG, or JPG file format                                                                               |
| uuid<mark style="color:red;">\*</mark>  | String | The universally unique identifier of the registered user you want to authorize the image against.  See /[register\_face](/our-api/register_face.md#purpose) |
| extend\_data                            | String | Set to true to retrieve the original response from the 3rd-party providers of Liveness and Face Compare services                                            |

{% tabs %}
{% tab title="400: Bad Request Bad request" %}

```javascript
{
    "image": [
        "The submitted data was not a file. Check the encoding type on the form."
    ],
    "uuid": [
        "This field is required."
    ]
}
```

{% endtab %}

{% tab title="200: OK Success" %}

```javascript
{
    "id": "d48eac86-228e-4933-a01d-279886a9c6b5"
}
```

{% endtab %}
{% endtabs %}

## Authorize an additional image

<mark style="color:blue;">`GET`</mark> `https://be.progeny.tech/api/v3/services/task/?id={{task_id}}`&#x20;

#### Path Parameters

| Name                                 | Type   | Description                                     |
| ------------------------------------ | ------ | ----------------------------------------------- |
| id<mark style="color:red;">\*</mark> | String | The task Id you obtained from your POST request |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "id": 2172,
    "status": "SUCCESS",
    "result": {
        "status": 200,
        "data": {
            "authentication": {
                "result": true,
                "data": {
                    "matchScore": "20.0",
                    "scorePercent": "100.0"
                }
            },
            "liveness": {
                "data": {
                    "score": 2.5943651,
                    "quality": 0.8175214,
                    "probability": 0.930498
                },
                "result": true
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.progeny.tech/our-api/authenticate_face.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
